Jump to
Ctrl
+
/

List Transactions by Vault Account

GET
/vaults/{vaultId}/vault-accounts/{vaultAccountId}/transactions

Retrieves a paginated list of blockchain transactions associated with a specific Vault Account. This endpoint returns sender and recipient details, blockchain metadata, and transaction fees. The endpoint supports cursor-based pagination using the startingAfter parameter to fetch the next page of results.

Path Parameters

vaultAccountId string Required

Unique identifier of the vault account whose transactions are being requested.

vaultId string Required

Unique identifier of the vault that owns the vault account.

Query Parameters

context string Optional

In batch situations the user can use the context to correlate responses with requests. This property is present regardless of whether the response was successful or returned as an error. context is specified by the user.

limit integer Optional

Defines how many items should be returned in the response per page basis.

Default : 50
startingAfter string Optional

Defines the id of the previous listed record id from which the current list should start from.

Response Schema

apiVersion string Required

Specifies the version of the API that incorporates this endpoint.

2026-03-20
requestId string Required

Defines the ID of the request. The requestId is generated by Vaultody and it's unique for every request.

601c1710034ed6d407996b30
context string Optional

In batch situations the user can use the context to correlate responses with requests. This property is present regardless of whether the response was successful or returned as an error. context is specified by the user.

yourExampleString
data object Required
limit integer Required

Defines how many items should be returned in the response per page basis.

50
startingAfter string Optional

Defines the id of the previous listed record id from which the current list should start from.

5ca21f92cf5431000105d1a7
hasMore boolean Required

Defines whether or not there are more elements available after this set.

true
items array Items (object) Required
blockchain string Required

The blockchain where the transaction occurred.

tron
createdTimestamp integer Required

When this transaction was created.

1705399159
direction string Required

Indicates the transaction direction relative to the vault account.

incoming
hasTokenTransfer boolean Required

If this transaction has any tokens transfers.

false
id string Required

The transaction ID in Vaultody, this is needed for pagination/load more functionality.

654ba3af9e8dd80901f17347
isInternal boolean Required

If this transaction has any Internal Transactions.

false
minedInBlockHeight string Required

Block height where the transaction was confirmed.

1234324
network string Required

Specific blockchain network used.

mainnet
recipients array Items (object) Required

Recipients are all addresses receive assets in this transaction.

address string Required

Blockchain address receiving the asset.

tb1q7yqnaw9skttgh99n32r0kzr68mt8ejnm0qfec2
addressType string Required

Type of address within the system (e.g., deposit)

deposit
amount string Required

Amount of the asset transferred to this recipient.

0.0002
amountUnit string Required

Amount unit (e.g., BTC, ETH, LTC, USDC).

BTC
isVaultAddress boolean Required

If this address belongs to this Vault account or not.

true
label string Required

Human-readable label associated with the address.

BTC address
senders array Items (object) Required

Senders are all addresses send assets in this transaction.

address string Required

Blockchain address sending the asset.

tb1qavgzj3a8n34hq2rgmf8mngal0spp3kmpz6m6lw
amount string Required

Amount of the asset sent from this address.

0.0002
amountUnit string Required

Symbol representing the asset being transferred.

BTC
isVaultAddress boolean Required

If this address belongs to this Vault accunt or not.

false
label string Required

Label for identifying the address.

Address name
status string Required

The status of this transaction.

confirmed
transactionFee object Required

The transaction fee.

amount string Required

The transaction fee amount.

5.96124
amountUnit string Required

The transaction fee amount unit.

BTC
transactionId string Required

Blockchain transaction hash identifying the transaction on the network.

281a63d28ddf6d0d5d78090b7cdf3a8c0be95bbb296544943ef45d9dec44405d

Credits Cost : 0 Credits for 1 Results

Was this page helpful?
Yes
No
Powered by
Language
URL

{
    "apiVersion": "2026-03-20",
    "requestId": "601c1710034ed6d407996b30",
    "context": "yourExampleString",
    "data": {
        "limit": 50,
        "startingAfter": "5ca21f92cf5431000105d1a7",
        "hasMore": true,
        "items": [
            {
                "blockchain": "tron",
                "createdTimestamp": 1705399159,
                "direction": "incoming",
                "hasTokenTransfer": false,
                "id": "654ba3af9e8dd80901f17347",
                "isInternal": false,
                "minedInBlockHeight": "1234324",
                "network": "mainnet",
                "recipients": [
                    {
                        "address": "tb1q7yqnaw9skttgh99n32r0kzr68mt8ejnm0qfec2",
                        "addressType": "deposit",
                        "amount": "0.0002",
                        "amountUnit": "BTC",
                        "isVaultAddress": true,
                        "label": "BTC address"
                    }
                ],
                "senders": [
                    {
                        "address": "tb1qavgzj3a8n34hq2rgmf8mngal0spp3kmpz6m6lw",
                        "amount": "0.0002",
                        "amountUnit": "BTC",
                        "isVaultAddress": false,
                        "label": "Address name"
                    }
                ],
                "status": "confirmed",
                "transactionFee": {
                    "amount": "5.96124",
                    "amountUnit": "BTC"
                },
                "transactionId": "281a63d28ddf6d0d5d78090b7cdf3a8c0be95bbb296544943ef45d9dec44405d"
            }
        ]
    }
}